Get one journal entry
curl --request GET \
--url https://app.equated.co/api/journal-entries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.equated.co/api/journal-entries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.equated.co/api/journal-entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry": {
"id": 123,
"effectiveAt": "<string>",
"description": "<string>",
"status": "DRAFT",
"source": "<string>",
"baseCurrency": "<string>",
"correctsJournalEntryId": 123,
"postings": [
{
"accountId": 123,
"accountName": "<string>",
"accountType": "ASSET",
"accountEmoji": "<string>",
"institutionLogo": "<string>",
"institutionName": "<string>",
"institutionUrl": "<string>",
"amount": "<string>",
"currency": "<string>",
"amountBase": "<string>",
"isBankLeg": true,
"orgMerchantId": 123,
"projectId": 123,
"inScope": true,
"requiresCounterparty": true
}
],
"origin": {
"kind": "transaction",
"label": "<string>",
"providerTransactionId": "<string>",
"documentId": 123,
"documentType": "<string>"
},
"counterparty": {
"orgMerchantId": 123,
"name": "<string>",
"website": "<string>",
"imageUrl": "<string>",
"logo": "<string>"
},
"canVoid": true
}
}{
"error": "<string>"
}Journal Entries
Get one journal entry
A single entry with full postings (signed amounts in posting currency plus base-currency mirrors), its origin, and whether it is eligible for void_journal_entry.
GET
/
api
/
journal-entries
/
{id}
Get one journal entry
